コンテンツにスキップ
ログイン サインアップ

Amazon ベストセラー

Amazon Bestsellersは、任意のカテゴリまたはサブカテゴリのリアルタイムの売れ筋商品を構造化されたJSONとして返します。

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers
パラメーター型必須説明
api_keystringはいあなたのSERP APIキー(Amazonと共有)。
enginestringはいamazon である必要があります。
typestringはいbestsellers である必要があります。
category_idstringはいカテゴリIDまたはエイリアス(例: electronics)。
parent_aliasstringいいえサブカテゴリを検索する際の親カテゴリのエイリアス。
domainstringいいえマーケットプレイスのドメイン。デフォルトは amazon.com。
devicedesktop | mobileいいえシミュレートするデバイス。
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics"
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/gp/bestsellers/electronics",
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "bestsellers",
"category_id": "electronics"
},
"category_results": {
"product_results": [
{
"position": 1,
"product_id": "B08C1W5N87",
"title": "Fire TV Stick with Alexa Voice Remote",
"link": "/dp/B08C1W5N87",
"thumbnail": "https://images-na.ssl-images-amazon.com/images/I/51KKR5uGn6L.jpg",
"price": "$19.99",
"rating": {
"rating": "4.7 out of 5 stars",
"total_ratings": 141438
}
},
{
"position": 2,
"product_id": "B08XVYZ1Y5",
"title": "Fire TV Stick 4K",
"price": "$29.99",
"rating": { "rating": "4.8 out of 5 stars", "total_ratings": 42108 }
}
]
}
}